Google Analytics Yeni Kod  

Kategori : |

Google Analytics yeni java scriptini yayınladı.Yeni scriptle (ga.js scripti) birlikte birçok yeniliğin yolda olduğu ve bu yenilikleri analizlerde takip edebilmek için yeni scriptin sayfalara eklenmesinin zorunlu olduğu açıklandı. Eski urchin.js scriptini kullananların ise bu scripti kullanmaya devam edebilecekleri ama 1 yıl sonra bu scriptin iptal edilip yeni scriptin geçerli olabileceği belirtildi. Bu yazılanlara bakarak bende sayfama ga.js scriptini yerleştirmeye niyetlendim ama bir sorun vardı!

Benim site Blogger destekli ve aslına bakarsanız scriptin sahibi de Blogger'ın sahibi de Google olduğu için hiçbir sorun yaşamayacağınızı var sayıyorsunuz, ama herşey düşündüğünüz gibi olmuyor:( Ga.js scriptini blogger sayfanıza yüklemek istediğinizde, sayfa script'de hata buluyor ve kaydetmiyor. Hata uyarısı şöyle:

"We were unable to save your template
Please correct the error below, and submit your template again.
Your template could not be parsed as it is not well-formed. Please make sure all XML elements are closed properly.
XML error message: Open quote is expected for attribute "{1}" associated with an element type "type".
"

Sorunlu bir javascript! Ama çözümü de var:

HTTP sayfalar için:
-> script için http.txt

HTTPs sayfalar için:
-> script için https.txt

Text dosyalarının içindeki kodları alıp sayfamıza eklediğimizde bu sorun ortadan kalkmış oluyor. Bildiğiniz üzere bu scripti sayfaya "< / body >" ifadesinden önce ekliyoruz.

Not: Yukarıda UA-XXXX-X ile belirtilen yerleri kendi google analytics hesap numarınızla değiştirin!


0 Yorum

Yorum Gönder

Arşiv

Son Yorumlar